Bug 191686 - RFE: Please update perl-String-CRC32 to version 1.4
RFE: Please update perl-String-CRC32 to version 1.4
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-String-CRC32 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-15 03:13 EDT by Paul Howarth
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.4-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 03:34:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2006-05-15 03:13:55 EDT
version 1.4 has been out for some time and contains performance improvements
over 1.3.

Diff available here:
http://search.cpan.org/diff?from=String-CRC32-1.3&to=String-CRC32-1.4

As the Extras maintainer for this package, I would like to build it for FC-3 and
FC-4 (it's already in cvs) but I can't do that until rawhide and FC-5 have the
new version, lest FC-4 be "later" than FC-5 etc.
Comment 1 Jason Vas Dias 2006-05-31 19:09:20 EDT
Sorry for the delay in processing this bug report - this is now done, with
perl-String-CRC32-1.4-FC6 and perl-String-CRC32-1.4-FC5, being released to 
updates/testing today.
Comment 2 Fedora Update System 2006-05-31 23:09:01 EDT
perl-String-CRC32-1.4-1.FC5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Paul Howarth 2006-06-01 02:46:32 EDT
Aaargh. I looked in the repo, saw the package was there and pushed the Extras
release for FC-4 and FC-3.

It then dawned on me that you'd used an upper case distribution tag in the
release field ("FC5") wheras Extras packages, including this one, generally use
the lower case one supplied by the %{?dist} macro. So we have:

perl-String-CRC32-1.4-1.FC6
perl-String-CRC32-1.4-1.FC5
perl-String-CRC32-1.4-1.fc4
perl-String-CRC32-1.4-1.fc3

And my understanding is that "fc4" > "fc3" > "FC6" > "FC5" as far as RPM is
concerned :-)
Comment 4 Jason Vas Dias 2006-06-01 10:06:33 EDT
Well, it's my understanding that non-numeric digits are ignored in version
strings - I'll double check this, but I think we're OK.
Comment 5 Paul Howarth 2006-06-05 05:43:50 EDT
(In reply to comment #4)
> Well, it's my understanding that non-numeric digits are ignored in version
> strings - I'll double check this, but I think we're OK.

We're not:

# rpm -q perl-String-CRC32
perl-String-CRC32-1.4-1.FC5
# rpm -Uvh perl-String-CRC32-1.4-1.fc4.i386.rpm
Preparing...                ########################################### [100%]
   1:perl-String-CRC32      ########################################### [100%]
# rpm -Uvh perl-String-CRC32-1.4-1.FC5.i386.rpm
Preparing...                ########################################### [100%]
        package perl-String-CRC32-1.4-1.fc4 (which is newer than
perl-String-CRC32-1.4-1.FC5) is already installed
Comment 6 Paul Howarth 2006-06-28 16:12:53 EDT
Replacing ".FC5" and ".FC6" in the release tag with "%{?dist}" should now work
in brew; pushing updates for these should result in a working upgrade path.

http://www.redhat.com/archives/fedora-maintainers/2006-June/msg00165.html
Comment 7 Paul Howarth 2006-08-10 13:16:15 EDT
There is a fixed version in the development repo now; an FC5 update with a
change of ".FC5" to "%{?dist}" is all that is needed now to fix the broken
upgrade path.
Comment 8 Paul Howarth 2006-09-13 04:04:17 EDT
Any chance of getting an FC5 update for this to fix the broken FC3/4->FC5
upgrade paths?
Comment 9 Robin Norwood 2006-10-17 14:13:56 EDT
ok - built an update for fc5 - should be in 'testing' soon.
Comment 10 Fedora Update System 2006-10-18 10:43:04 EDT
A new version has been pushed to FC5 which fixes this issue.
Comment 11 Paul Howarth 2006-10-23 11:43:07 EDT
Any forecast when this will move from updates-testing to updates?
Comment 12 Robin Norwood 2006-10-23 17:33:46 EDT
Probably whenever someone reminds me about it. :-)
Comment 13 Robin Norwood 2006-10-23 17:34:17 EDT
(Submitted the update request.  Should be there soon)
Comment 14 Fedora Update System 2006-10-24 15:31:18 EDT
A new version has been pushed to FC5 which fixes this issue.
Comment 15 Paul Howarth 2006-10-25 03:34:58 EDT
Thanks; upgrade paths are all clean now :-)

Note You need to log in before you can comment on or make changes to this bug.